Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.server
Interface NWServer

public interface NWServer

Allows functions to be performed on the NetWare server that this NWServer represents.

Method Summary
`java.util.Calendar` | `getTime()` Returns the time on the NetWare server.
`void` | `loadNLM(java.lang.String loadCommand)` Loads an NLM on the NetWare server.
`void` | `setTime(java.util.Calendar cal)` Sets the time on the NetWare server.
`void` | `unloadNLM(java.lang.String name)` Unloads an NLM from the NetWare server.

Method Detail

### loadNLM

    public void loadNLM(java.lang.String loadCommand)
                 throws com.novell.service.jncp.NSIException

  Loads an NLM on the NetWare server.
  Parameters:
    `loadCommand` - The load command for the NLM: {VOLUME NAME:}{PATH}NLMName{.ext}{parameters}
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### unloadNLM

    public void unloadNLM(java.lang.String name)
                   throws com.novell.service.jncp.NSIException

  Unloads an NLM from the NetWare server.
  Parameters:
    `name` - The name of the NLM (NLMName{.ext}) to be unloaded.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### getTime

    public java.util.Calendar getTime()
                               throws com.novell.service.jncp.NSIException

  Returns the time on the NetWare server.
  Returns:
    The server's time as a Calendar object.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

### setTime

    public void setTime(java.util.Calendar cal)
                 throws com.novell.service.jncp.NSIException

  Sets the time on the NetWare server.
  Parameters:
    `cal` - The Calendar time to set on the server.
  Throws:
    com.novell.service.jncp.NSIException - Standard NJCL exception for working on top of Xplat libraries.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD